# pipe.h File Reference

## Detailed Description

Connector class to join parsers and builders together.

Definition in file pipe.h.

`#include "dll.h"`
`#include "builder.h"`
`#include "parser.h"`

Include dependency graph for pipe.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::Pipe
| Reads data from a builder and feeds it into a parser. More...